// This file is generated by kconfig_compiler from clockapplet.kcfg.
// All changes you do to this file will be lost.
#ifndef PREFS_H
#define PREFS_H

#include <kconfigskeleton.h>

class Prefs : public KConfigSkeleton
{
  public:
    class EnumType
    {
      public:
      enum { Plain, Digital, Analog, Fuzzy, COUNT };
    };

    Prefs( KSharedConfig::Ptr config  );
    ~Prefs();

    /**
      Set Clock type
    */
    void setType( int v )
    {
      if (!isImmutable( QString::fromLatin1( "Type" ) ))
        mType = v;
    }

    /**
      Get Clock type
    */
    int type() const
    {
      return mType;
    }

    /**
      Get Foreground color.
    */
    QColor dateForegroundColor() const
    {
      return mDateForegroundColor;
    }

    /**
      Get Foreground color.
    */
    QColor dateBackgroundColor() const
    {
      return mDateBackgroundColor;
    }

    /**
      Get Font for the clock.
    */
    QFont dateFont() const
    {
      return mDateFont;
    }

    /**
      Get Show seconds.
    */
    bool plainShowSeconds() const
    {
      return mPlainShowSeconds;
    }

    /**
      Get Show date.
    */
    bool plainShowDate() const
    {
      return mPlainShowDate;
    }

    /**
      Get Show frame.
    */
    bool plainShowFrame() const
    {
      return mPlainShowFrame;
    }

    /**
      Get Font for the clock.
    */
    QFont plainFont() const
    {
      return mPlainFont;
    }

    /**
      Get Foreground color.
    */
    QColor plainForegroundColor() const
    {
      return mPlainForegroundColor;
    }

    /**
      Get Background color.
    */
    QColor plainBackgroundColor() const
    {
      return mPlainBackgroundColor;
    }

    /**
      Get Show seconds.
    */
    bool digitalShowSeconds() const
    {
      return mDigitalShowSeconds;
    }

    /**
      Get Show date.
    */
    bool digitalShowDate() const
    {
      return mDigitalShowDate;
    }

    /**
      Get Show frame.
    */
    bool digitalShowFrame() const
    {
      return mDigitalShowFrame;
    }

    /**
      Get Foreground color.
    */
    QColor digitalForegroundColor() const
    {
      return mDigitalForegroundColor;
    }

    /**
      Get Background color.
    */
    QColor digitalBackgroundColor() const
    {
      return mDigitalBackgroundColor;
    }

    /**
      Get Shadow color.
    */
    QColor digitalShadowColor() const
    {
      return mDigitalShadowColor;
    }

    /**
      Get Blink
    */
    bool digitalBlink() const
    {
      return mDigitalBlink;
    }

    /**
      Get LCD Style
    */
    bool digitalLCDStyle() const
    {
      return mDigitalLCDStyle;
    }

    /**
      Get Show seconds.
    */
    bool analogShowSeconds() const
    {
      return mAnalogShowSeconds;
    }

    /**
      Get Show date.
    */
    bool analogShowDate() const
    {
      return mAnalogShowDate;
    }

    /**
      Get Show frame.
    */
    bool analogShowFrame() const
    {
      return mAnalogShowFrame;
    }

    /**
      Get Foreground color.
    */
    QColor analogForegroundColor() const
    {
      return mAnalogForegroundColor;
    }

    /**
      Get Background color.
    */
    QColor analogBackgroundColor() const
    {
      return mAnalogBackgroundColor;
    }

    /**
      Get Shadow color.
    */
    QColor analogShadowColor() const
    {
      return mAnalogShadowColor;
    }

    /**
      Get LCD Style
    */
    bool analogLCDStyle() const
    {
      return mAnalogLCDStyle;
    }

    /**
      Get Anti-Alias factor
    */
    int analogAntialias() const
    {
      return mAnalogAntialias;
    }

    /**
      Get Show date.
    */
    bool fuzzyShowDate() const
    {
      return mFuzzyShowDate;
    }

    /**
      Get Show frame.
    */
    bool fuzzyShowFrame() const
    {
      return mFuzzyShowFrame;
    }

    /**
      Get Font for the clock.
    */
    QFont fuzzyFont() const
    {
      return mFuzzyFont;
    }

    /**
      Get Foreground color.
    */
    QColor fuzzyForegroundColor() const
    {
      return mFuzzyForegroundColor;
    }

    /**
      Get Background color.
    */
    QColor fuzzyBackgroundColor() const
    {
      return mFuzzyBackgroundColor;
    }

    /**
      Get Fuzzyness
    */
    int fuzzyness() const
    {
      return mFuzzyness;
    }

    /**
      Set Show window frame
    */
    void setCalendarFullWindow( bool v )
    {
      if (!isImmutable( QString::fromLatin1( "CalendarFullWindow" ) ))
        mCalendarFullWindow = v;
    }

    /**
      Get Show window frame
    */
    bool calendarFullWindow() const
    {
      return mCalendarFullWindow;
    }

    /**
      Set Default size of the calendar
    */
    void setCalendarSize( const QSize & v )
    {
      if (!isImmutable( QString::fromLatin1( "CalendarSize" ) ))
        mCalendarSize = v;
    }

    /**
      Get Default size of the calendar
    */
    QSize calendarSize() const
    {
      return mCalendarSize;
    }

  protected:

    // General
    int mType;

    // Date
    QColor mDateForegroundColor;
    QColor mDateBackgroundColor;
    QFont mDateFont;

    // Plain
    bool mPlainShowSeconds;
    bool mPlainShowDate;
    bool mPlainShowFrame;
    QFont mPlainFont;
    QColor mPlainForegroundColor;
    QColor mPlainBackgroundColor;

    // Digital
    bool mDigitalShowSeconds;
    bool mDigitalShowDate;
    bool mDigitalShowFrame;
    QColor mDigitalForegroundColor;
    QColor mDigitalBackgroundColor;
    QColor mDigitalShadowColor;
    bool mDigitalBlink;
    bool mDigitalLCDStyle;

    // Analog
    bool mAnalogShowSeconds;
    bool mAnalogShowDate;
    bool mAnalogShowFrame;
    QColor mAnalogForegroundColor;
    QColor mAnalogBackgroundColor;
    QColor mAnalogShadowColor;
    bool mAnalogLCDStyle;
    int mAnalogAntialias;

    // Fuzzy
    bool mFuzzyShowDate;
    bool mFuzzyShowFrame;
    QFont mFuzzyFont;
    QColor mFuzzyForegroundColor;
    QColor mFuzzyBackgroundColor;
    int mFuzzyness;

    // Calendar
    bool mCalendarFullWindow;
    QSize mCalendarSize;

  private:
};

#endif
